/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.disk.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import vip.xiaonuo.auth.core.util.StpLoginUserUtil;
import vip.xiaonuo.disk.domain.ResourceCollect;
import vip.xiaonuo.disk.mapper.ResourceCollectMapper;
import vip.xiaonuo.disk.param.ResourceCollectAddParam;
import vip.xiaonuo.disk.service.ResourceCollectService;

/**
 * resource_collectService接口实现类
 *
 * @author pans
 * @date  2025/07/02 15:01
 **/
@Service
public class ResourceCollectServiceImpl extends ServiceImpl<ResourceCollectMapper, ResourceCollect> implements ResourceCollectService {

  @Autowired
  private  ResourceCollectMapper resourceCollectMapper;
    /**
     * 根据用户id,查询资源是否收藏
     * @return
     */
    @Override
    public Boolean queryList(String resourceId) {
        String id = StpLoginUserUtil.getLoginUser().getId();
        Integer count=resourceCollectMapper.queryList(id,resourceId);
        if(count>0){
            return true;
        }
        return false;
    }

    @Override
    public void add(ResourceCollectAddParam resourceCollectAddParam) {
        ResourceCollect resourceCollect = BeanUtil.toBean(resourceCollectAddParam, ResourceCollect.class);
        resourceCollect.setUserId(StpLoginUserUtil.getLoginUser().getId());
         this.save(resourceCollect);
    }

    @Override
    public void cancel(ResourceCollectAddParam resourceCollectAddParam) {
        ResourceCollect resourceCollect = BeanUtil.toBean(resourceCollectAddParam, ResourceCollect.class);
        resourceCollect.setUserId(StpLoginUserUtil.getLoginUser().getId());

        resourceCollectMapper.cancel(resourceCollect);
    }
}
